| Home | Libraries | People | FAQ | More

#### client_errc

MySQL client-defined error codes.

##### Synopsis

Defined in header `<boost/mysql/client_errc.hpp>`

    enum client_errc

##### Values

Name | Description
--- | ---
`incomplete_message` | An incomplete message was received from the server (indicates a deserialization error or packet mismatch).
`protocol_value_error` | An unexpected value was found in a server-received message (indicates a deserialization error or packet mismatch).
`server_unsupported` | The server does not support the minimum required capabilities to establish the connection.
`extra_bytes` | Unexpected extra bytes at the end of a message were received (indicates a deserialization error or packet mismatch).
`sequence_number_mismatch` | Mismatched sequence numbers (usually caused by a packet mismatch).
`unknown_auth_plugin` | The user employs an authentication plugin not known to this library.
`auth_plugin_requires_ssl` | The authentication plugin requires the connection to use SSL.
`wrong_num_params` | The number of parameters passed to the prepared statement does not match the number of actual parameters.
`server_doesnt_support_ssl` | The connection mandatory SSL, but the server doesn't accept SSL connections.
`metadata_check_failed` | The static interface detected a mismatch between your C++ type definitions and what the server returned in the query.
`num_resultsets_mismatch` | The static interface detected a mismatch between the number of row types passed to `static_results` or `static_execution_state` and the number of resultsets returned by your query.
`row_type_mismatch` | The StaticRow type passed to read_some_rows does not correspond to the resultset type being read.
`static_row_parsing_error` | The static interface encountered an error when parsing a field into a C++ data structure.

##### Description

These errors are produced by the client itself, rather than the server.

Convenience header `<boost/mysql.hpp>`